Subject: Re: Default linker output filename
From: [email-masked] (Patrick Doyle)

7 Nov 1996 06:26:22 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> (message from Heinz Hemken on
	Wed, 06 Nov 1996 20: 07:24 -0500)
Original-Sender: [email-masked]

   Long Doan wrote:
   > I think it would be better if a.out is a link instead of a.out.exe,
   > since Windows won't be able to execute a link. On the other hand, why
   > don't we just use bash (or some other shells) and be happy with a.out?

   Or you could always just do

   gcc -o blabla.exe blabla.c foo.c bar.c

   or some such.

   -- 
   Heinz Hemken

That works fine for simple cases.  Unfortunately, there are a lot of
makefiles and configure scripts for existing software that have:

   gcc -o blabla blabla.c foo.c bar.c

which makes porting these packages to W95 difficult.  Not difficult
in the sense of "how do I make this work", just difficult in the sense
of "I have to repeatedly make this change in _every_ program I port to
W95... gee it would be nice if some combination of gnu-win32/ld/gcc
would do this for me".

-- 
-patrick
[email-masked]

Happiness is a Star Trek rerun I've never seen before.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".